<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/wenxue_drawerLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/wenxue_back"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:src="@drawable/return2" />

            <TextView
                android:id="@+id/wenxue_tuijian"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="推荐好书"
                android:textSize="20dp"
                android:textStyle="bold" />

        </LinearLayout>

        <TextView
            android:id="@+id/wenxue_title"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:gravity="center"
            android:layout_marginRight="60dp"
            android:text="文学"
            android:textSize="30dp"
            android:textStyle="italic"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="70dp"
        android:orientation="vertical">
        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/wenxue_swipeRefresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/wenxue_recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

            </androidx.recyclerview.widget.RecyclerView>
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
        <include layout="@layout/layout_bottom_navigation" />

    </RelativeLayout>

    <com.google.android.material.navigation.NavigationView
        android:id="@+id/wenxue_navView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="left"
        app:headerLayout="@layout/nav_header"
        app:menu="@menu/nav_menu" />
</androidx.drawerlayout.widget.DrawerLayout>